import com.imsl.chart.*;
import com.imsl.chart.qc.*;
import javax.swing.JFrame;

public class SampleSChart extends JFrameChart {    
    public SampleSChart() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        SChart schart = new SChart(axis, SampleXbarS.diameter);
        
        schart.getUpperControlLimit().setTitle("ucl = {0,number,0.0000}");
        
        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        String title = "Standard Deviations of Piston Ring Diameters";
        axis.getAxisY().getAxisTitle().setTitle(title);
        axis.getAxisY().getAxisLabel().setTextFormat("0.000");
        axis.getAxisY().setAutoscaleInput(axis.AUTOSCALE_OFF);
        axis.getAxisY().setWindow(0.0, 0.02);
    }
    
    public static void main(String argv[]) {
        new SampleSChart().setVisible(true);
    }
}